#pragma once

#include "CustomPlotLib/qcustomplot.h"
#include "mainwindow.h"

class Well;

class PlotterWidget : public QCustomPlot
{
    Q_OBJECT

public:
    explicit PlotterWidget(QWidget * parent = nullptr);

    void setAzimuthVS(double azimuthRad);

    /// Рисование траектории
    void drawTrajectory(const Well & well);
    void drawCurve(const Well & well);
    /// Изменение сетки по размеру траектории
    void scaleByTrajectory(const Well & well);

private:
    QCPCurve * mTrajectoryCurve = nullptr;
    QCPCurve * mLogCurve = nullptr;
    double mAzimuthRad = 0.0;
};
