#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <memory>
#include <QMainWindow>
#include <QWidget>

#include "Objects/Well.hpp"


namespace Ui {
class MainWindow;
}

class PlotterWidget;


class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget * parent = nullptr);
    ~MainWindow();

private slots:
    void on_exit_clicked();
    void on_importTrajectory_clicked();
    void on_importLog_clicked();
    void on_azimuthVs_returnPressed();

private:
    void initPlot();
    double getAzimuthRad() const;

private:
    Ui::MainWindow * ui;
    PlotterWidget * mPlotter = nullptr;

    std::unique_ptr<Well> mWell;
    std::unique_ptr<Well> log_data;
};

#endif
