#pragma once

#include <memory>

class QString;

struct TrajectoryPoint;
class Well;

namespace Utils
{

double degreeToRadians(double degree);

std::unique_ptr<Well> parseJson(const QString & json);

double calculateVerticalSection(double x, double y, double azimuthRad);
/// Расчёт мировых координат траектории по методу минимальной кривизны
void calculateTrajectory(Well & well);
/// Расчёт проекции траектории на вертикальную плоскость разреза с углом azimuthRad
void calculateVerticalSectionProjection(Well & well, double azimuthRad);
TrajectoryPoint calculateTrajectoryPointPositionParticly(const TrajectoryPoint & prevPoint,
                                                         TrajectoryPoint & currentPoint, double val);
}

